# dmxscrinit.c File Reference

`#include "dmx.h"`
`#include "dmxsync.h"`
`#include "dmxshadow.h"`
`#include "dmxscrinit.h"`
`#include "dmxcursor.h"`
`#include "dmxgc.h"`
`#include "dmxgcops.h"`
`#include "dmxwindow.h"`
`#include "dmxpixmap.h"`
`#include "dmxfont.h"`
`#include "dmxcmap.h"`
`#include "dmxprop.h"`
`#include "dmxdpms.h"`
`#include "dmxpict.h"`
`#include "fb.h"`
`#include "mipointer.h"`
`#include "micmap.h"`

## Functions

Bool | dmxCloseScreen (int idx, ScreenPtr pScreen)
void | dmxBEScreenInit (int idx, ScreenPtr pScreen)
Bool | dmxScreenInit (int idx, ScreenPtr pScreen, int argc, char *argv[])
void | dmxBECloseScreen (ScreenPtr pScreen)

## Variables

int | dmxGCPrivateIndex
int | dmxWinPrivateIndex
int | dmxFontPrivateIndex
int | dmxScreenPrivateIndex
int | dmxColormapPrivateIndex
int | dmxPictPrivateIndex
int | dmxGlyphSetPrivateIndex

## Detailed Description

This file provides support for screen initialization.

## Function Documentation

void dmxBECloseScreen | ( | ScreenPtr | pScreen | ) |

| Close the pScreen resources on the back-end server.

void dmxBEScreenInit | ( | int | idx,
|  | ScreenPtr | pScreen
| ) |

| Initialize the parts of screen idx that require access to the back-end server.

Bool dmxCloseScreen | ( | int | idx,
|  | ScreenPtr | pScreen
| ) |

| Close screen number idx.

Bool dmxScreenInit | ( | int | idx,
|  | ScreenPtr | pScreen,
|  | int | argc,
|  | char * | argv[]
| ) |

| Initialize screen number idx.

## Variable Documentation

int dmxColormapPrivateIndex

| Private index for Colormaps

int dmxFontPrivateIndex

| Private index for Fonts

int dmxGCPrivateIndex

| Private index for GCs

int dmxGlyphSetPrivateIndex

| Private index for GlyphSets

int dmxPictPrivateIndex

| Private index for Picts

int dmxScreenPrivateIndex

| Private index for Screens

int dmxWinPrivateIndex

| Private index for Windows

Generated June 29, 2004 for Distributed Multihead X by doxygen 1.3.4. </addres>